summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Pedro Mendes <pedro@gepasi.org>2010-05-13 00:59:32 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:32 +0200
commit572eb8c381edae2ce775facd2392a5d0ab286462 (patch)
tree2a6feb985f2afb9fb8aaebdad8e7880898680b87 /misc
parent60e777549fb71112a613144d28eceb555a8e2481 (diff)
downloadslackbuilds-572eb8c381edae2ce775facd2392a5d0ab286462.tar.gz
slackbuilds-572eb8c381edae2ce775facd2392a5d0ab286462.tar.xz
misc/tangogps: Added to 13.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/tangogps/README12
-rw-r--r--misc/tangogps/slack-desc19
-rw-r--r--misc/tangogps/tangogps.SlackBuild56
-rw-r--r--misc/tangogps/tangogps.info10
4 files changed, 97 insertions, 0 deletions
diff --git a/misc/tangogps/README b/misc/tangogps/README
new file mode 100644
index 0000000000..f7889c1fa6
--- /dev/null
+++ b/misc/tangogps/README
@@ -0,0 +1,12 @@
+tangogps is an easy to use, fast, and lightweight mapping application
+for use with or without GPS. By default, tangoGPS uses map data from
+the Openstreetmap project. Additionally, a variety of other repositories
+can be easily added. The maps are downloaded and cached for offline use
+while you drag or zoom the map. Furthermore, you can conveniently pre-cache
+areas with tangoGPS.
+
+If connected to a GPS, your current position and track are shown on the map,
+and you can log positional data for further processing, e.g. for geocoding
+photos or uploading streets to Openstreetmap.
+
+This requires ORBit2 and GConf.
diff --git a/misc/tangogps/slack-desc b/misc/tangogps/slack-desc
new file mode 100644
index 0000000000..b2fd2499a0
--- /dev/null
+++ b/misc/tangogps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tangogps: tangoGPS (fast and lightweight mapping application)
+tangogps:
+tangogps: tangoGPS is an easy to use, fast and lightweight mapping application
+tangogps: for use with or without GPS. By default tangoGPS uses map data from
+tangogps: the Openstreetmap project, but a variety of other repositories can
+tangogps: be easily added. The maps are downloaded and cached for offline use
+tangogps: and you can conveniently pre-cache areas with tangoGPS. If connected
+tangogps: to a GPS your current position and track are shown on the map and
+tangogps: you can log positional data for further processing.
+tangogps:
+tangogps: Homepage: http://www.tangogps.org
diff --git a/misc/tangogps/tangogps.SlackBuild b/misc/tangogps/tangogps.SlackBuild
new file mode 100644
index 0000000000..6bb4194b8d
--- /dev/null
+++ b/misc/tangogps/tangogps.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+# Slackware build script for tangogps
+# Written by <pedro@gepasi.org>
+# This script is hereby put in the public domain
+
+PRGNAM=tangogps
+VERSION=0.99.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make tangogpsdocdir=/usr/doc/$PRGNAM-$VERSION
+make tangogpsdocdir=/usr/doc/$PRGNAM-$VERSION install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/tangogps/tangogps.info b/misc/tangogps/tangogps.info
new file mode 100644
index 0000000000..3b46fd99f3
--- /dev/null
+++ b/misc/tangogps/tangogps.info
@@ -0,0 +1,10 @@
+PRGNAM="tangogps"
+VERSION="0.99.32"
+HOMEPAGE="http://www.tangogps.org"
+DOWNLOAD="http://www.tangogps.org/downloads/tangogps-0.99.2.tar.gz"
+MD5SUM="ba0b28f9f87f6b47cf32a4f2c935cc28"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pedro Mendes"
+EMAIL="pedro@gepasi.org"
+APPROVED="rworkman"